Publications

Read the stored comment snapshot

GET
/api/projects/{projectId}/publications/{publicationId}/comments

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
publicationId*string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
publicationId*string
provider*string
Value in"bluesky""mastodon"
snapshot*|null
lastAttemptAt*|null
lastError*string|string|string|string|string|string|string|string|string|null
Example Request
curl -X GET 'https://postbot.example/api/projects/string/publications/string/comments'
Example Response
{
  "publicationId": "string",
  "provider": "bluesky",
  "snapshot": {
    "fetchedAt": 0,
    "rootUri": "string",
    "availability": "available",
    "truncated": true,
    "comments": [
      {
        "id": "string",
        "parentUri": "string",
        "depth": 0,
        "availability": "available",
        "authorDid": "string",
        "authorHandle": "string",
        "text": "string",
        "createdAt": 0,
        "externalUrl": "string"
      }
    ]
  },
  "lastAttemptAt": 0,
  "lastError": "blocked"
}

Was this page helpful?